Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create csv export

POST/workspaces/{organizationId}/csv-exports
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
entityTypestringrequired
Allowed:issuesprojects
teamIdstring
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystring
Allowed:lowmediumhighurgent
assigneeIdstring
delegateIdstring
projectIdstring
Responses
200

CSV export

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/csv-exports' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "entityType": "issues",
  "teamId": "string",
  "status": "triage",
  "priority": "low",
  "assigneeId": "string",
  "delegateId": "string",
  "projectId": "string"
}'
Response
"string"

Was this page helpful?